<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["desabilitar"] == true) {
$personagem = $_GET["dperfil_personagem"];
$dados = mssql_fetch_row(mssql_query("select perfil from character where name='".$personagem."' and accountid='".$_SESSION["login"]."'"));
$ver_char = mssql_num_rows(mssql_query("select name from character where name='".$personagem."' and accountid='".$_SESSION["login"]."'"));
if($personagem == "") {
	$bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>');
}
elseif($ver_char < 1) {
	echo $bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>');
}
elseif($dados[0] == 1) {
	echo $bbcode->bbcode('<div class="box_conteudo">Seu perfil já está desabilitado</div>');
}
else{
mssql_query("update character set perfil='1' where name='".$personagem."'");
echo $bbcode->bbcode('<div class="box_conteudo">Perfil desabilitado com sucesso</div>');
}
}
if($_GET["habilitar"] == true) {
$personagem = $_GET["hperfil_personagem"];
$dados = mssql_fetch_row(mssql_query("select perfil from character where name='".$personagem."' and accountid='".$_SESSION["login"]."'"));
$ver_char = mssql_num_rows(mssql_query("select name from character where name='".$personagem."' and accountid='".$_SESSION["login"]."'"));
if($personagem == "") {
	$bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>');
}
elseif($ver_char < 1) {
	echo $bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>');
}
elseif($dados[0] == 0) {
	echo $bbcode->bbcode('<div class="box_conteudo">Seu perfil já está habilitado</div>');
}
else{
mssql_query("update character set perfil='0' where name='".$personagem."'");
echo $bbcode->bbcode('<div class="box_conteudo">Perfil habilitado com sucesso</div>');
}
}

?>